Class protos.google.cloud.netapp.v1.ExecuteOntapGetResponse (0.20.1)

Represents an ExecuteOntapGetResponse.

Implements

Package

@google-cloud/netapp

Constructors

(constructor)(properties)

constructor(properties?: google.cloud.netapp.v1.IExecuteOntapGetResponse);

Constructs a new ExecuteOntapGetResponse.

Parameter
Name Description
properties IExecuteOntapGetResponse

Properties to set

Properties

body

public body?: (google.protobuf.IStruct|null);

ExecuteOntapGetResponse body.

Methods

create(properties)

public static create(properties?: google.cloud.netapp.v1.IExecuteOntapGetResponse): google.cloud.netapp.v1.ExecuteOntapGetResponse;

Creates a new ExecuteOntapGetResponse instance using the specified properties.

Parameter
Name Description
properties IExecuteOntapGetResponse

Properties to set

Returns
Type Description
ExecuteOntapGetResponse

ExecuteOntapGetResponse instance

decode(reader, length)

public static decode(reader: ($protobuf.Reader|Uint8Array), length?: number): google.cloud.netapp.v1.ExecuteOntapGetResponse;

Decodes an ExecuteOntapGetResponse message from the specified reader or buffer.

Parameters
Name Description
reader (Reader|Uint8Array)

Reader or buffer to decode from

length number

Message length if known beforehand

Returns
Type Description
ExecuteOntapGetResponse

ExecuteOntapGetResponse

decodeDelimited(reader)

public static decodeDelimited(reader: ($protobuf.Reader|Uint8Array)): google.cloud.netapp.v1.ExecuteOntapGetResponse;

Decodes an ExecuteOntapGetResponse message from the specified reader or buffer, length delimited.

Parameter
Name Description
reader (Reader|Uint8Array)

Reader or buffer to decode from

Returns
Type Description
ExecuteOntapGetResponse

ExecuteOntapGetResponse

encode(message, writer)

public static encode(message: google.cloud.netapp.v1.IExecuteOntapGetResponse, writer?: $protobuf.Writer): $protobuf.Writer;

Encodes the specified ExecuteOntapGetResponse message. Does not implicitly messages.

Parameters
Name Description
message IExecuteOntapGetResponse

ExecuteOntapGetResponse message or plain object to encode

writer $protobuf.Writer

Writer to encode to

Returns
Type Description
$protobuf.Writer

Writer

encodeDelimited(message, writer)

public static encodeDelimited(message: google.cloud.netapp.v1.IExecuteOntapGetResponse, writer?: $protobuf.Writer): $protobuf.Writer;

Encodes the specified ExecuteOntapGetResponse message, length delimited. Does not implicitly messages.

Parameters
Name Description
message IExecuteOntapGetResponse

ExecuteOntapGetResponse message or plain object to encode

writer $protobuf.Writer

Writer to encode to

Returns
Type Description
$protobuf.Writer

Writer

fromObject(object)

public static fromObject(object: { [k: string]: any }): google.cloud.netapp.v1.ExecuteOntapGetResponse;

Creates an ExecuteOntapGetResponse message from a plain object. Also converts values to their respective internal types.

Parameter
Name Description
object { [k: string]: any }

Plain object

Returns
Type Description
ExecuteOntapGetResponse

ExecuteOntapGetResponse

getTypeUrl(typeUrlPrefix)

public static getTypeUrl(typeUrlPrefix?: string): string;

Gets the default type url for ExecuteOntapGetResponse

Parameter
Name Description
typeUrlPrefix string

your custom typeUrlPrefix(default "type.googleapis.com")

Returns
Type Description
string

The default type url

toJSON()

public toJSON(): { [k: string]: any };

Converts this ExecuteOntapGetResponse to JSON.

Returns
Type Description
{ [k: string]: any }

JSON object

toObject(message, options)

public static toObject(message: google.cloud.netapp.v1.ExecuteOntapGetResponse, options?: $protobuf.IConversionOptions): { [k: string]: any };

Creates a plain object from an ExecuteOntapGetResponse message. Also converts values to other types if specified.

Parameters
Name Description
message ExecuteOntapGetResponse

ExecuteOntapGetResponse

options $protobuf.IConversionOptions

Conversion options

Returns
Type Description
{ [k: string]: any }

Plain object

verify(message)

public static verify(message: { [k: string]: any }): (string|null);

Verifies an ExecuteOntapGetResponse message.

Parameter
Name Description
message { [k: string]: any }

Plain object to verify

Returns
Type Description
(string|null)

null if valid, otherwise the reason why it is not